import { request } from 'umi'

/** 获取角色id下员工列表 */
export async function queryRoleStaffList() {
  return request<API.RoleStaffListItem[]>('/role/staff')
}

/** 获取加班申请人列表 */
export async function fetchAttendanceList() {
  return request<API.AttendanceItem[]>('/attendance/list')
}

/** 删除关联加班人 */
export async function unlinkAttendance(params: API.UnlinkAttendance) {
  return request('/attendance/unlinkStaff', {
    method: 'POST',
    data: params
  })
}

/** 关联加班人 */
export async function linkAttendance(params: API.LinkAttendance) {
  return request('/attendance/linkStaff', {
    method: 'POST',
    data: params
  })
}

/** 新增申请人 */
export async function addAttendance(params: API.Addattendance) {
  return request('/attendance/add', {
    method: 'POST',
    data: params
  })
}

/** 删除申请人 */
export async function deleteAttendance(params: API.DeleteAttendance) {
  return request('/attendance/delete', {
    method: 'POST',
    data: params
  })
}

/** 获取销假参数 */
export async function fetchParametersDetail(params: { parametersType: number }) {
  return request<API.ParametersDetailResult>('/parameters/detail', {
    params
  })
}

/** 设置销假参数 */
export async function updateParameters(params: API.UpdateParameters) {
  return request('/parameters/update', {
    method: 'POST',
    data: params
  })
}

/** 更新编辑时限 */
export async function updateParametersTime(params: API.UpdateParametersTime) {
  return request('/parameters/time/limit/save', {
    method: 'POST',
    data: params
  })
}

/** 获取发票内容列表 */
export async function fetchInvoiceList(params: { rate: string }) {
  return request<API.InvoiceList[]>('/invoice/item/list', {
    params
  })
}

/** 新增发票内容 */
export async function addInvoiceItem(params: API.AddInvoiceItem) {
  return request('/invoice/item/add', {
    method: 'POST',
    data: params
  })
}

/** 编辑发票内容 */
export async function updateInvoiceItem(params: API.UpdateInvoicegroupItem) {
  return request('/invoice/item/update', {
    method: 'POST',
    data: params
  })
}

/** 删除发票内容 */
export async function deleteInvoiceItem(id: string) {
  return request('/invoice/item/detele', {
    method: 'POST',
    data: { id }
  })
}

/** 发票内容排序 */
export async function sortInvoiceItem(params: API.UpdateInvoicegroupItem) {
  return request('/invoice/item/sort', {
    method: 'POST',
    data: params
  })
}
